# \Thelia\CommandCacheClear

Command.

## Summary

Methods
Properties
Constants
setContainer()
No public properties found
No constants found
configure()
execute()
getContainer()
No protected properties found
N/A
No private methods found
$container
N/A

File
  Command/CacheClear.php
Package
  \Default
Class hierarchy
  \Symfony\Component\Console\Command\Command
  \Thelia\Command\ContainerAwareCommand
  \Thelia\Command\CacheClear

## Tags

None found

## Properties

### $container

    $container : \Symfony\Component\DependencyInjection\ContainerInterface

#### Type

\Symfony\Component\DependencyInjection\ContainerInterface

#

Inherited from
  \Thelia\Command\ContainerAwareCommand

## Tags

None found

## Methods

### setContainer()

    setContainer(\Symfony\Component\DependencyInjection\ContainerInterface $container)

#### Parameters

\Symfony\Component\DependencyInjection\ContainerInterface | $container |

#

Inherited from
  \Thelia\Command\ContainerAwareCommand
See also

## Tags

None found

### configure()

    configure()

#

## Tags

None found

### execute()

    execute(\Symfony\Component\Console\Input\InputInterface $input, \Symfony\Component\Console\Output\OutputInterface $output)

#### Parameters

\Symfony\Component\Console\Input\InputInterface | $input |
\Symfony\Component\Console\Output\OutputInterface | $output |

#

## Tags

None found

### getContainer()

    getContainer() : \Symfony\Component\DependencyInjection\ContainerInterface

#### Returns

\Symfony\Component\DependencyInjection\ContainerInterface

#

Inherited from
  \Thelia\Command\ContainerAwareCommand

## Tags

None found

### CacheClear.php